# $Revision: 1.18.2.3 $, $Date: 2004/02/18 20:43:27 $

# conditional build
# _without_dist_kernel          without distribution kernel

%define		_orig_name	3c990

Summary:	Linux driver for the 3Com 3C990 Network Interface Cards
Summary(pl):	Sterownik dla Linuksa do kart sieciowych 3Com 3C990
Name:		kernel-net-%{_orig_name}
Version:	1.0.0a
%define	_rel	12
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://support.3com.com/infodeli/tools/nic/linux/%{_orig_name}-%{version}.tar.gz
# Source0-md5:	e7597b2747a18f0cfe7bc81e83a2bc68
Patch0:		%{_orig_name}-redefine.patch
%{!?_without_dist_kernel:BuildRequires:         kernel-headers }
BuildRequires:	%{kgcc_package}
PreReq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This driver (3c990.c) has been written to work with the 3c990 product
line of network cards, manufactured by 3Com Corp.

This driver is not intended for any other product line, including the
3c59x or 3c90x product lines (although drivers with both of these
names, and for both of these product lines, are available). 

%description -l pl
Sterownik dla Linuksa do kart sieciowych 3Com 3c990.

Nie obsuguje kart serii 3c59x i 3c90x, istniej inne sterowniki do
tych linii produktw.

%package -n kernel-smp-net-%{_orig_name}
Summary:        Linux SMP driver for the 3Com 3C990 Network Interface Cards
Summary(pl):    Sterownik dla Linuksa SMP dla kart sieciowych 3Com 3C990
Release:        %{_rel}@%{_kernel_ver_str}
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Group:		Base/Kernel

%description -n kernel-smp-net-%{_orig_name}
This driver (3c990.c) has been written to work with the 3c990 product
line of network cards, manufactured by 3Com Corp on SMP systems.

This driver is not intended for any other product line, including the
3c59x or 3c90x product lines (although drivers with both of these
names, and for both of these product lines, are available).

%description -n kernel-smp-net-%{_orig_name} -l pl
Sterownik dla Linuksa SMP do kart sieciowych 3Com 3c990.

Nie obsuguje kart serii 3c59x i 3c90x, istniej inne sterowniki do
tych linii produktw.

%prep
%setup -q -n %{_orig_name}-%{version} -c
%patch0 -p0

%build
rm -f %{_orig_name}.o
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -c -DMODULE -D__KERNEL__ -O2 -DSMP=1 -D__SMP__ -DCONFIG_X86_LOCAL_APIC -Wall -Wstrict-prototypes -I%{_kernelsrcdir}/include %{_orig_name}.c
mv -f %{_orig_name}.o %{_orig_name}-smp.o
%{kgcc} -o %{_orig_name}.o -c %{rpmcflags}  -c -DMODULE -D__KERNEL__ -O2 -Wall -Wstrict-prototypes -I%{_kernelsrcdir}/include %{_orig_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/misc

install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install %{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/%{_orig_name}.o

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc README
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
%doc README 
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-net-3c990.spec,v $
Revision 1.18.2.3  2004/02/18 20:43:27  undefine
- release 12, md5

Revision 1.18.2.2  2003/07/11 12:01:33  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.18.2.1  2003/05/11 16:45:28  dzimi
- rel++; rebuild with 2.2.25-3

Revision 1.18  2003/03/23 22:43:21  blues
- release 10; rebuild with 2.2.25

Revision 1.17  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.16  2002/11/17 18:03:35  kloczek
- release 9: rebuild against kernel 2.2.22-6.

Revision 1.15  2002/10/01 15:37:21  kloczek
- release 8: rebuild against kernel 2.2.22.

Revision 1.14  2002/08/18 17:34:30  kloczek
- release 7: rebuild against keenel 2.2.21.

Revision 1.13  2002/07/03 09:24:04  wolf
- spelling

Revision 1.12  2002/03/05 09:35:08  marcus
- fixed deps (s/up/smp) in smp subpackage
- rel.6.

Revision 1.11  2002/03/04 22:15:59  marcus
- use new macros (version-rel)
- removed smp/up obsoletes
- rel. 5.

Revision 1.10  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.9  2002/02/26 15:11:06  qboosh
- use %%kgcc macro

Revision 1.8  2002/02/26 13:13:47  qboosh
- use requires_releq_kernel_{up,smp} macros, BR: egcs, release 4

Revision 1.7  2002/02/23 21:48:00  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 3, STBR

Revision 1.6  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/18 00:53:34  kloczek
- cosmetics.

Revision 1.4  2002/02/10 19:03:24  marcus
- rel.2 (for build with 2.2.20-10 and new 2.4)

Revision 1.3  2002/01/27 10:17:05  marcus
- some typos in Conflicts: in SMP subpackage

Revision 1.2  2002/01/27 09:49:00  marcus
- added %post/%postun for SMP

Revision 1.1  2002/01/27 09:04:54  marcus
- s/netdrivers/net/g in package name

Revision 1.1  2002/01/26 21:25:33  marcus
- rel. 1, based on bcm5700 spec
